Subject: Re: [PATCH 1/2] t0027: Tests for core.eol=native, eol=lf, eol=crlf

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 30 Aug 2014 11:01:03 +0200

On 2014-08-28 21.20, Junio C Hamano wrote:
> It appears that I missed this patch?  You seem to have rerolled the
> corresponding 2/2, to which I responded ($gmane/255507).  Is this
> one still viable/necessary?
It seems that both the t0027 and the native_crlf fixes (from MINGW)
deserve a re-roll from my side, so you didn't miss anything.
Thanks for the comments below
>
> If you are doing the whole-sale style fixes for this script, can you
> also fix the case/esac statement in create_gitattributes?  The case
> arm labels are indented one level too deep, making it harder to spot
> them than necessary.
>
> Test files "setup master" step creates appear to end in an
> incomplete line.  Is this intended or by mistake?  Making sure
> things work even on files that end in an incomplete line is a good
> thing, but it looks somewhat strange not to test normal cases (in
> other words, it makes it appear as if normal cases work OK but
> incomplete lines cause corner case bugs and these tests are meant to
> check them, or something).
>
> Thanks.